Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQEucJpCodec Class Reference

The TQEucJpCodec class provides conversion to and from EUC-JP character sets. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqeucjpcodec.h>`

Inherits TQTextCodec.

List of all member functions.

## Public Members

- virtual int mibEnum () const
- virtual const char * mimeName () const
- TQEucJpCodec ()
- ~TQEucJpCodec ()

## Detailed Description

The TQEucJpCodec class provides conversion to and from EUC-JP character sets.

More precisely, the TQEucJpCodec class subclasses TQTextCodec to provide support for EUC-JP, the main legacy encoding for Unix machines in Japan.

The environment variable `UNICODEMAP_JP` can be used to fine-tune TQJisCodec, TQSjisCodec and TQEucJpCodec. The TQJisCodec documentation describes how to use this variable.

Most of the code here was written by Serika Kurusugawa, a.k.a. Junji Takagi, and is included in TQt with the author's permission and the grateful thanks of the Trolltech team. Here is the copyright statement for that code:

Copyright (C) 1999 Serika Kurusugawa. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS". ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

See also Internationalization with TQt.

## Member Function Documentation

### TQEucJpCodec::TQEucJpCodec ()

Constructs a TQEucJpCodec.

### TQEucJpCodec::~TQEucJpCodec ()

Destroys the codec.

### int TQEucJpCodec::mibEnum () const`[virtual]`

Returns 18.

Reimplemented from TQTextCodec.

### const char * TQEucJpCodec::mimeName () const`[virtual]`

Returns the codec's mime name.

Reimplemented from TQTextCodec.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.